{% extends 'base.html.twig' %}

{% block content %}
    <h1 class="text-center m-5">{{ title }}</h1>

    <div class="form text-center">
        {{ form_start(form, {"attr": {"id": "task-form"}}) }}
        
        {{ include('api_error.html.twig', {error_message: api_error_message}) }}

        {% form_theme form 'form/form_errors.html.twig' %}
        {{ form_errors(form) }}

        <div class="task-form">
            <div class="form-group">
                {{ form_label(form.handle1) }}
                {{ form_widget(form.handle1) }}
            </div>

            <div class="form-group">
                {{ form_label(form.handle2) }}
                {{ form_widget(form.handle2) }}
            </div>

            <div class="form-group">
                {{ form_label(form.method) }}
                {{ form_widget(form.method) }}
            </div>

            <div class="form-group">
                {{ form_widget(form.submit, {attr: {class: "btn btn-primary"}}) }}
            </div>
        </div>

        {{ form_row(form._token) }}

        {{ form_end(form, {'render_rest': false}) }}
    </div>
{% endblock %}


